%if 0%{?fedora} <= 22
%global _hardened_build 1
%endif

%global  checkout   be99c1cea6c5e2cf012fdaef8910176cde9ac2d3
%global  date       20150925

Name:    fido-pi
Summary: Protein identification in MS/MS proteomics
Version: 0
Release: 0.4.%{date}git%(echo %{checkout} | cut -c-6)%{?dist}
License: MIT
URL:     https://github.com/hendrikweisser/Fido
Source0: https://github.com/hendrikweisser/Fido/archive/%{checkout}.zip#/Fido-%{checkout}.zip

BuildRequires: cmake

%description
Fido is a tool used in the area of computational proteomics.
It calculates posterior probabilities for protein
identifications based on database searches of tandem mass spectra.

%prep
%setup -q -n Fido-%{checkout}

%build
%cmake -DCMAKE_BUILD_TYPE:STRING=Release -DCMAKE_VERBOSE_MAKEFILE:BOOL=TRUE \
 -DCMAKE_SKIP_RPATH:BOOL=YES -DCMAKE_SKIP_INSTALL_RPATH:BOOL=YES

make %{?_smp_mflags} V=1

%install
## Manual installation
mkdir -p %{buildroot}%{_bindir}
install -pm 755 Fido %{buildroot}%{_bindir}
install -pm 755 FidoChooseParameters %{buildroot}%{_bindir}

%files
%license *license.txt
%doc *.md
%{_bindir}/Fido*

%changelog
* Wed Oct 21 2015 Antonio Trande <sagitter@fedoraproject.org> 0-0.4.20150925gitbe99c1
- Rebuild

* Wed Oct 21 2015 Antonio Trande <sagitter@fedoraproject.org> 0-0.3.20150925gitbe99c1
- Commit #be99c1

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.20150209git281e4d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 27 2015 Antonio Trande <sagitter@fedoraproject.org> 0-0.1.20150209git281e4d
- First package
